@echo off
SETLOCAL
mode con: cols=100 lines=40
color 1B
call :logo
echo.
echo Installer Version 2.3
echo.
echo.
echo.
echo Willkommen zur Installationroutine fr die deutsche Version von ULTIMA VII
echo.
echo Prfe Standardverzeichnisse...
echo.
SET instpath=C:\GOG Games\Ultima 7
echo %instpath%
if exist "%instpath%\ultima7.com" goto install
SET instpath=%programfiles%\GOG Games\Ultima 7
echo %instpath%
if exist "%instpath%\ultima7.com" goto install
SET instpath=%programfiles%\GOG.com\Ultima 7
echo %instpath%
if exist "%instpath%\ultima7.com" goto install
SET instpath=%programfiles%\GOGcom\Ultima 7
echo %instpath%
if exist "%instpath%\ultima7.com" goto install
echo.

:input
echo Keine valide Installation gefunden.
SET /P "instpath=Bitte gib den korrekten Pfad der bestehenden Installation an: "
echo.
IF NOT EXIST "%instpath%\ultima7.com" GOTO input 



:install
echo Installationsverzeichnis: %instpath%
echo.
echo Drcke eine Taste um die Installation zu beginnen,
echo oder STRG+C um das Skript abzubrechen
@pause >nul
IF EXIST "%instpath%\U7.EXE.u7org" GOTO verify
SET "proc=installiert"
echo Schritt 1: Sicherung der Originaldateien in \ULTIMA7\
ren "%instpath%\ULTIMA7.COM" ULTIMA7.COM.u7org
ren "%instpath%\U7.EXE" U7.EXE.u7org
copy "%instpath%\U7.CFG" "%instpath%\U7.CFG.sb"
ren "%instpath%\ENDGAME.EXE" ENDGAME.EXE.u7org
ren "%instpath%\INTRO.EXE" INTRO.EXE.u7org
ren "%instpath%\MAINMENU.EXE" MAINMENU.EXE.u7org
echo Erledigt.
echo.

echo Schritt 2: Sicherung der Originaldateien in \STATIC\
ren "%instpath%\STATIC\ENDGAME.DAT" ENDGAME.DAT.u7org
ren "%instpath%\STATIC\ENDSHAPE.FLX" ENDSHAPE.FLX.u7org
ren "%instpath%\STATIC\FACES.VGA" FACES.VGA.u7org
ren "%instpath%\STATIC\FONTS.VGA" FONTS.VGA.u7org
ren "%instpath%\STATIC\GUMPS.VGA" GUMPS.VGA.u7org
ren "%instpath%\STATIC\INITGAME.DAT" INITGAME.DAT.u7org
copy "%instpath%\STATIC\INTRORDM.DAT" "%instpath%\STATIC\INTRORDM.DAT.sb"
ren "%instpath%\STATIC\INTROSND.DAT" INTROSND.DAT.u7org
ren "%instpath%\STATIC\LINKDEP1" LINKDEP1.u7org
ren "%instpath%\STATIC\LINKDEP2" LINKDEP2.u7org
ren "%instpath%\STATIC\MAINSHP.FLX" MAINSHP.FLX.u7org
copy "%instpath%\STATIC\MT32MUS.DAT" "%instpath%\STATIC\MT32MUS.DAT.sb"
copy "%instpath%\STATIC\MT32SFX.DAT" "%instpath%\STATIC\MT32SFX.DAT.sb"
ren "%instpath%\STATIC\POINTERS.SHP" POINTERS.SHP.u7org
ren "%instpath%\STATIC\TEXT.FLX" TEXT.FLX.u7org
ren "%instpath%\STATIC\TFA.DAT" TFA.DAT.u7org
copy "%instpath%\STATIC\U7INTRO.TIM" "%instpath%\STATIC\U7INTRO.TIM.sb"
ren "%instpath%\STATIC\USECODE" USECODE.u7org
echo Erledigt.
echo.

echo Schritt 3: Kopieren der Patchdateien...
xcopy ULTIMA7 "%instpath%\" /s
echo Erledigt.
echo.
echo Schritt 4: Initiale Konfigurationeinstellungen vornehmen.
echo Welches Tastaturlayout wird verwendet?
echo [1] DEUTSCHE Tastatur (SHIFT+1=!)
echo [2] SCHWEIZER Tastatur (SHIFT+1=+)
SET /P "kb=Bitte Option 1 oder 2 whlen: "
IF "%kb%"=="1" SET tasten=deutscher
IF "%kb%"=="2" SET tasten=schweizer && COPY "%instpath%\U7Hack_deCH.EXE" "%instpath%\U7.EXE"
echo.
echo Welcher Sound soll aktiviert werden?
echo [1] original Soundblaster
echo [2] MIDI-Patch von Newton Dragon
SET /P "snd=Bitte Option 1 oder 2 whlen: "
IF "%snd%"=="1" SET sound=Original && GOTO end
IF "%snd%"=="2" SET sound=MIDI 
del "%instpath%\STATIC\INTRORDM.DAT"
del "%instpath%\STATIC\MT32MUS.DAT"
del "%instpath%\STATIC\MT32SFX.DAT"
del "%instpath%\STATIC\U7INTRO.TIM"
copy "%instpath%\STATIC\*.midi" "%instpath%\STATIC\*."


GOTO end



:verify
echo Es wurden Sicherungsdateien einer bereits erfolgten Patchinstallation gefunden.
echo Soll der Patch entfernt werden und der Originalzustand wiederhergestellt werden?
SET /P "check=Bitte besttige die Deinstallation mit 'ja': "
IF "%check%"=="ja" GOTO remove
echo Abbruch.
exit /b



:remove
SET "proc=entfernt"
echo.
echo Patch wird deinstalliert
del "%instpath%\ENDGAME.EXE"
del "%instpath%\INTRO.EXE"
del "%instpath%\MAINMENU.EXE"
del "%instpath%\U7.EXE"
del "%instpath%\U7Hack_deCH.EXE"
del "%instpath%\U7Hack_deDE.EXE"
del "%instpath%\STARTU7.COM"
del "%instpath%\ULTIMA7.COM"
del "%instpath%\U7.CFG.midi"
del "%instpath%\U7.CFG"
del "%instpath%\_toggle_*.cmd
del "%instpath%\STATIC\ENDGAME.DAT"
del "%instpath%\STATIC\ENDSHAPE.FLX"
del "%instpath%\STATIC\FACES.VGA"
del "%instpath%\STATIC\FONTS.VGA"
del "%instpath%\STATIC\FONTS.VGA.FRK"
del "%instpath%\STATIC\FONTS.VGA.SRF"
del "%instpath%\STATIC\GUMPS.VGA"
del "%instpath%\STATIC\INITGAME.DAT"
del "%instpath%\STATIC\INTROSND.DAT"
del "%instpath%\STATIC\INTRORDM.DAT"
del "%instpath%\STATIC\MT32MUS.DAT"
del "%instpath%\STATIC\MT32SFX.DAT"
del "%instpath%\STATIC\U7INTRO.TIM"
del "%instpath%\STATIC\INTRORDM.DAT.midi"
del "%instpath%\STATIC\MT32MUS.DAT.midi"
del "%instpath%\STATIC\MT32SFX.DAT.midi"
del "%instpath%\STATIC\U7INTRO.TIM.midi"
del "%instpath%\STATIC\LINKDEP1"
del "%instpath%\STATIC\LINKDEP2"
del "%instpath%\STATIC\MAINSHP.FLX"
del "%instpath%\STATIC\POINTERS.SHP"
del "%instpath%\STATIC\TEXT.FLX"
del "%instpath%\STATIC\TFA.DAT"
del "%instpath%\STATIC\USECODE"

echo.
echo Originaldateien werden wiederhergestellt
ren "%instpath%\*.u7org" *.
ren "%instpath%\U7.CFG.sb" *.
ren "%instpath%\STATIC\*.u7org" *.
ren "%instpath%\STATIC\*.sb" *.


:end
set /p build=<"%instpath%\ver.de"
echo.
echo Der deutsche Sprachpatch in der Version %build%
echo fr die Komplettversion von ULTIMA VII wurde
IF "%proc%"=="installiert" ECHO mit %tasten% Tastaturbelegung und %sound%- Sound
echo erfolgreich %proc%.
IF "%proc%"=="entfernt" del "%instpath%\ver.de" 
echo Drcke eine Taste zum Beenden.
@pause >nul
exit /b

:logo
echo   ================================================================================================
echo  ^|   ___  ___  ___   _________  ___  _____ ______   ________          ___      ___ ___  ___       ^|
echo  ^|  ^|\  \^|\  \^|\  \ ^|\___   ___\\  \^|\   _ \  _   \^|\   __  \        ^|\  \    /  /^|\  \^|\  \      ^|
echo  ^|  \ \  \\\  \ \  \\^|___ \  \_\ \  \ \  \\\__\ \  \ \  \^|\  \       \ \  \  /  / ^| \  \ \  \     ^|
echo  ^|   \ \  \\\  \ \  \    \ \  \ \ \  \ \  \\^|__^| \  \ \   __  \       \ \  \/  / / \ \  \ \  \    ^|
echo  ^|    \ \  \\\  \ \  \____\ \  \ \ \  \ \  \    \ \  \ \  \ \  \       \ \    / /   \ \  \ \  \   ^|
echo  ^|     \ \_______\ \_______\ \__\ \ \__\ \__\    \ \__\ \__\ \__\       \ \__/ /     \ \__\ \__\  ^|
echo  ^|      \^|_______^|\^|_______^|\^|__^|  \^|__^|\^|__^|     \^|__^|\^|__^|\^|__^|        \^|__^|/       \^|__^|\^|__^|  ^|
echo  ^|                                                                                                ^|
echo  ^|                                         _____  _                                               ^|
echo  ^|                                        ^|  __ \(_)                                              ^|
echo  ^|                                        ^| ^|  ^| ^|_  ___                                          ^|
echo  ^|                                        ^| ^|  ^| ^| ^|/ _ \                                         ^|
echo  ^|             _____      _               ^| ^|__^| ^| ^|  __/   _____   __           _                ^|
echo  ^|            / ____^|    ^| ^|              ^|_____/^|_^|\___^|  ^|  __ \ / _^|         ^| ^|               ^|
echo  ^|           ^| (___   ___^| ^|____      ____ _ _ __ _______  ^| ^|__) ^| ^|_ ___  _ __^| ^|_ ___          ^|
echo  ^|            \___ \ / __^| '_ \ \ /\ / / _` ^| '__^|_  / _ \ ^|  ___/^|  _/ _ \^| '__^| __/ _ \         ^|
echo  ^|            ____) ^| (__^| ^| ^| \ V  V / (_^| ^| ^|   / /  __/ ^| ^|    ^| ^|^| (_) ^| ^|  ^| ^|^|  __/         ^|
echo  ^|           ^|_____/ \___^|_^| ^|_^|\_/\_/ \__,_^|_^|  /___\___^| ^|_^|    ^|_^| \___/^|_^|   \__\___^|         ^|
echo  ^|                                                                                                ^|
echo   ================================================================================================
echo.
goto :eof